For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
      • GETGet Template
      • GETList Templates
      • POSTCreate Template
      • POSTCreate Embedded Template Draft
      • POSTDelete Template
      • GETGet Template Files
      • GETGet Template Files as Data Uri
      • GETGet Template Files as File Url
      • POSTUpdate Template Files
      • POSTAdd User to Template
      • POSTRemove User from Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceTemplate

Get Template Files as Data Uri

||View as Markdown|
GET
https://api.hellosign.com/v3/template/files_as_data_uri/:template_id
GET
/v3/template/files_as_data_uri/:template_id
$curl -X GET 'https://api.hellosign.com/v3/template/files_as_data_uri/{template_id}' \
> -u 'YOUR_API_KEY:'
1{
2 "data_uri": "string",
3 "file_url": "https://s3.amazonaws.com/hellofax_uploads/super_groups/2016/03/18/9aba07a585d7e223b4f137c8981c5e5892893c00/merged-completed.pdf?AWSAccessKeyId=AKIAJWEWDFQHQMBECJZA&Expires=1452868903&Signature=M%2FNDS%2BQre8xjPvzm7fHf%2BjO8Zbc%3D",
4 "expires_at": 1458605123
5}

Obtain a copy of the current documents specified by the template_id parameter. Returns a JSON object with a data_uri representing the base64 encoded file (PDFs only).

If the files are currently being prepared, a status code of 409 will be returned instead. In this case please wait for the template_created callback event.

Was this page helpful?
Previous

Get Template Files

Next

Get Template Files as File Url

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

template_idstringRequired
The id of the template files to retrieve.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
data_uristring
File as base64 encoded string.

Errors

4XX
Client Request Error